commit:     939f80f2be2eb0df13019d44b25d136e3de589b6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 15 04:50:42 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 15 04:50:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=939f80f2

dev-python/notebook: Bump to 7.1.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/notebook/Manifest              |  1 +
 dev-python/notebook/notebook-7.1.2.ebuild | 64 +++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 47a5d7c6995c..f4603fe77270 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1 +1,2 @@
 DIST notebook-7.1.1.tar.gz 4896811 BLAKE2B 
30f3f8b7a5fa0d1ed0ab03464b4139d0545d5bd8df451640ed07918dc2baf85b38fe4d9575133c088dc308774c074dc781a8bba6290663da34b2684b8a66f10c
 SHA512 
ee0b9e41f60a02b826a8d2b387a5158ff49340893e9b211faccb56f024a817e046677d667711d2186da29bf472194b788c9ab8fb3900b002de0700fc3ae70597
+DIST notebook-7.1.2.tar.gz 4897634 BLAKE2B 
c505534f847e58ae40b942a2a4da5105ab60cc81de87d97dd685f63db93af453fcc091d9d488ce73be690e76f5a94497c2bfcc318afbf233440b231eeb8c02e5
 SHA512 
0319f96d656dab8dd581207b1b396252025618041f5c33c6c36fd66bcb10e3f678869705fcdaa667eea2d9778d969db56e366e6ea260122167903ce372aee3ea

diff --git a/dev-python/notebook/notebook-7.1.2.ebuild 
b/dev-python/notebook/notebook-7.1.2.ebuild
new file mode 100644
index 000000000000..31ad57353c3d
--- /dev/null
+++ b/dev-python/notebook/notebook-7.1.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyter/notebook/
+       https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+       <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-4.1.1[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-4.2[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-server-2.22.1[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+       >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+       <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+       >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+       test? (
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+               dev-python/nbval[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+               dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+               dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to